PDA

View Full Version : Where i can found lubcurl.so.3 for SLED11 ?



skoltogyan
14-Oct-2011, 08:36
Where i can found lubcurl.so.3 for SLED11 ?

When compile CoolReader3 i`.m get this error:
...
cmake -D GUI=QT -D CMAKE_BUILD_TYPE=Release -D
CMAKE_INSTALL_PREFIX=/usr/local
cmake: error while loading shared libraries: libcurl.so.3: cannot open
shared object file: No such file or directory

Serg


--
skoltogyan
------------------------------------------------------------------------
skoltogyan's Profile: http://forums.novell.com/member.php?userid=9261
View this thread: http://forums.novell.com/showthread.php?t=446831

mikewillis
14-Oct-2011, 10:06
Try installing the package libcurl4. It doesn't provide libcurl.so.3 but
it does provide libcurl.so.4


--
mikewillis
------------------------------------------------------------------------
mikewillis's Profile: http://forums.novell.com/member.php?userid=7510
View this thread: http://forums.novell.com/showthread.php?t=446831

skoltogyan
14-Oct-2011, 13:26
This is package already installed.

I need libcurl.so.3


--
skoltogyan
------------------------------------------------------------------------
skoltogyan's Profile: http://forums.novell.com/member.php?userid=9261
View this thread: http://forums.novell.com/showthread.php?t=446831

malcolmlewis
14-Oct-2011, 13:41
On Fri, 14 Oct 2011 07:36:01 GMT
skoltogyan <skoltogyan@no-mx.forums.novell.com> wrote:

>
> Where i can found lubcurl.so.3 for SLED11 ?
>
> When compile CoolReader3 i`.m get this error:
> ..
> cmake -D GUI=QT -D CMAKE_BUILD_TYPE=Release -D
> CMAKE_INSTALL_PREFIX=/usr/local
> cmake: error while loading shared libraries: libcurl.so.3: cannot open
> shared object file: No such file or directory
>
> Serg
>
>
Hi
There is a version here;
http://software.opensuse.org/search?q=CoolReader3+&baseproject=SUSE%3ASLE-11%3ASP1&lang=en&include_home=true&exclude_debug=true

How it's built here;
https://build.opensuse.org/package/view_file?file=coolreader3-qt.spec&package=coolreader3-qt&project=home%3ALazy_Kent&srcmd5=78a73df95c0b72305607131987019a0e

What version of KDE are you running?

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.7-desktop
up 4 days 11:37, 3 users, load average: 0.34, 0.28, 0.23
GPU GeForce 8600 GTS Silent - Driver Version: 285.05.09

mikewillis
14-Oct-2011, 14:26
Are you using SLED 11 or SLED 11 SP 1? (SLED 11 is end of life, has been
for about ten months.)


Code:
--------------------
$ cat /etc/novell-release
--------------------



I'm using SLED 11 SP1 and the cmake command completed successfully when
I tried it, no complaint about libcurl.so.3


--
mikewillis
------------------------------------------------------------------------
mikewillis's Profile: http://forums.novell.com/member.php?userid=7510
View this thread: http://forums.novell.com/showthread.php?t=446831